#include <iostream>
#include <algorithm>
#include <string>
#include <iomanip>
#include <cmath>
#include <bits/stdc++.h>



using namespace std;


long long h[1000000];


int main (){

   long long n, l;

   cin >> n >> l;

   long long x = 1;




    for(long long i=1;i<=n;i++){
        cin >> h[i];
    }

    long long Min = h[1];




    for(long long i=1;i<=n;i++){

       if(h[i]<=l){
        cout << i;
        break;
       }

       else if(h[i+1]>l){
        cout << -1;
        break;
       }
    }



   return 0;
}